<html>
<body>
<h1> 18_opamp_ac: 2 slot opamp </h1>

<h2> Scope </h2>
<p>
A notch filter built with two opamps: this filter passes signals between DC
and 100 kHz but filters out 1 kHz signals. Demonstrated using a slotted
opamp with simulation.

<h2> The schematics </h2>
<p>
<center>
<a href="18_opamp_ac.rs"><img src="18_opamp_ac.svg" width=600px></a>
<br>Click the image to get the sch-rnd sheet</center>
<p>
More info on the circuit: <a href="https://www.electronics-tutorials.ws/filter/band-stop-filter.html"> www.electronics-tutorials.ws </a>

<h2> Preparing for simulation </h2>
<p>
The lm358 contains two opamps in a single physical package. For the PCB
workflow this is going to be a single footprint with 8 pins. For spice
simulation, two separate components are exported, one per slot. The problem is:
only slot 1's power terminals are connected! This is no problem for the
PCB workflow, where a physical connection between slots exists within the package.
For simulation, the trick is to set spice/shared on the power terminals on both
slots (4 terminals total). This tells sch-rnd to share the connection between
the same numbered terminals of different slots of the same symbol.
<p>
Other than this, everything else is pretty much the same as in
<a href="12_bjt_amp_ac.html">12_bjt_amp_ac</a>.

<h3> Raw spice commands </h3>
<p>
Same as in <a href="12_bjt_amp_ac.html">12_bjt_amp_ac</a>.

<h2> Export and run ngspice </h2>
<p>
Running ngspice the usual way on the export yields the following graphs:
<p>
<img src="18_opamp_ac1.png">
<p>
<img src="18_opamp_ac2.png">

<h2> Using other implementations </h2>
<h3> gnucap </h3>
<p>
<b>Gnucap throws errors: open circuit: internal node ...</b>
<p>
Gnucap uses a different command syntax. Modify the spice command symbol's
spice/command attribute to:
<pre>
print ac vdb(out) zp(out)
op
ac dec 10 1 1000k > plot.txt
</pre>
<p>
After the export, write the single word <b>spice</b> in the first line of the
file (e.g. using a text editor), otherwise gnucap won't know the file is in spice
syntax. Then run <i>gnucap 16_omapm_dc.cir</i> and it will dump a text
table to plot.txt that can be plotted using a suitable utility, e.g. gnuplot.
<p>
The <a href="gnucap/18_opamp_ac.rs">gnucap-modified schematic is also available.</a>

<h3> xyce </h3>
<p>
TODO
